def get_config(args):
    print('Have you set the path to the directory correctly?')
    args.root_dir = '/..' # <----- TODO set accordingly
    args.randseed=9999
    if args.net == 'BNN' or args.net == 'IM':
        args.epochs = 50
        args.lr = 0.001
        args.droprate = 0
        if args.smooth:
            args.smooth_level = 0.1
            args.noisy_pred_samples = 10

    elif args.net == 'SNN':
        args.epochs = 50
        args.lr = 0.001
        args.droprate = 0
        args.smooth = False
        args.layer = 0
    elif args.net == 'ResNet':
        args.epochs = 200
        args.lr = 0.1
        if args.smooth:
            args.smooth_level = 0.01
            args.noisy_pred_samples = 5
        if args.droprate == 0.0:
            args.n_samples = 1
    if args.smooth:
        args.batch_size = 50
    else:
        args.batch_size = 100
    return args
